Skip to main content

Get user info

Retrieve a user's registered information from Nexconn, including: user name, user avatar URL, and user creation time.

Request method

POST: https://Base URL/v4/user/get

Rate limit: 100 requests per second

Signature required: All server API requests require signature verification. See API request signature.

Request body

The request body is in application/json format and supports the following parameters:

ParameterTypeRequiredDescription
userIdStringYesThe user ID.

Request example

HTTP
POST /v4/user/get HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: xxxxxxxxxxxxxxxx
Content-Type: application/json

{
"userId": "123"
}

Response

The response body contains a JSON object with the following structure:

FieldTypeDescription
codeNumberStatus code. 0 indicates success.
resultObjectResponse data.
result.nameStringThe user name.
result.avatarUrlStringThe user avatar URL.
result.createdAtStringThe user creation time.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0,
"result": {
"name": "123",
"avatarUrl": "",
"createdAt": "2016-05-24 10:38:19"
}
}